version: '2'
services:
    nginx:
        image: nginx:latest
        ports:
            - '80:80'
        volumes:
            - ./nginx:/etc/nginx/conf.d
            - ./logs/nginx:/var/log/nginx
            - ./wordpress:/var/www/html
        links:
            - wordpress
        restart: always

    wordpress:
        image: wordpress:5.2.2-php7.1-fpm
        ports:
            - '9000:9000'
        volumes:
            - ./wordpress:/var/www/html
        environment:
            - WORDPRESS_DB_NAME=wordpress_db
            - WORDPRESS_TABLE_PREFIX=wp_
            - WORDPRESS_DB_HOST=host_ip:3306
            - WORDPRESS_DB_PASSWORD=passwd
        restart: always

    prometheus:
        image: prom/prometheus:latest
        volumes:
            - ./prometheus:/etc/prometheus/
        command:
            - --config.file=/etc/prometheus/prometheus.yml
        ports:
            - 9090:9090
        restart: always

    node-exporter:
        image: prom/node-exporter
        volumes:
            - /proc:/host/proc:ro
            - /sys:/host/sys:ro
            - /:/rootfs:ro
        command:
            - --path.procfs=/host/proc
            - --path.sysfs=/host/sys
            - --collector.filesystem.ignored-mount-points
            - ^/(sys|proc|dev|host|etc|rootfs/var/lib/docker/containers|rootfs/var/lib/docker/overlay2|rootfs/run/docker/netns|rootfs/var/lib/docker/aufs)($$|/)
        ports:
            - 9100:9100
        restart: always

    grafana:
        image: grafana/grafana
        depends_on:
            - prometheus
        ports:
            - 3000:3000
        volumes:
            - ./grafana:/var/lib/grafana
            - ./grafana/provisioning/:/etc/grafana/provisioning/
        restart: always

    mysql-exporter:
        image: prom/mysqld-exporter
        ports:
            - '9104:9104'
        environment:
            DATA_SOURCE_NAME: root:Lokweq89y!@(host_ip:3306)/

    nginx-exporter:
        image: nginx/nginx-prometheus-exporter:0.1.0
        container_name: nginx-exporter
        user: root
        privileged: true
        command:
            - -nginx.scrape-uri=http://nginx:80/nginx_status
        restart: unless-stopped
        ports:
            - 9113:9113